package com.chelvc.framework.aliyun.config;

import com.chelvc.framework.aliyun.AliyunHandler;
import com.chelvc.framework.aliyun.DefaultAliyunHandler;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * 阿里云配置类
 *
 * @author Woody
 * @date 2024/3/11
 */
@Configuration
public class AliyunConfigurer {
    @Bean
    @ConditionalOnMissingBean(AliyunHandler.class)
    public AliyunHandler aliyunHandler(AliyunProperties properties) {
        return new DefaultAliyunHandler(properties);
    }
}
