package com.chelvc.framework.aliyun.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * 阿里云配置信息
 *
 * @author Woody
 * @date 2024/3/11
 */
@Data
@Configuration
@ConfigurationProperties("aliyun")
public class AliyunProperties {
    /**
     * 应用标识
     */
    private String appid;

    /**
     * 应用密钥
     */
    private String secret;

    /**
     * 智能验证码配置
     */
    private final Captcha captcha = new Captcha();

    /**
     * 智能验证码信息
     */
    @Data
    public static class Captcha {
        /**
         * 场景标识
         */
        private String scene;
    }
}
