package com.chelvc.framework.base.annotation;

import java.lang.annotation.Documented;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

import com.chelvc.framework.common.model.Compare;
import com.chelvc.framework.common.model.Terminal;
import com.chelvc.framework.common.util.StringUtils;

/**
 * 客户端版本号注解
 *
 * @author Woody
 * @date 2024/9/8
 */
@Documented
@Target({})
@Retention(RetentionPolicy.RUNTIME)
public @interface Version {
    /**
     * 获取版本号
     *
     * @return 版本号
     */
    String value();

    /**
     * 获取客户终端
     *
     * @return 客户终端
     */
    Terminal terminal();

    /**
     * 获取版本比较方式
     *
     * @return 比较方式
     */
    Compare compare() default Compare.EQ;

    /**
     * 获取异常消息
     *
     * @return 异常消息
     */
    String message() default StringUtils.EMPTY;
}
