package com.chelvc.framework.base.annotation;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 多客户端版本号注解
 *
 * @author Woody
 * @date 2024/9/8
 */
@Documented
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.TYPE, ElementType.METHOD})
public @interface Versions {
    /**
     * 获取客户端版本号注解数组
     *
     * @return 客户端版本号注解数组
     */
    Version[] value();
}
