package com.chelvc.framework.base.config;

import com.chelvc.framework.common.util.ObjectUtils;
import ma.glasnost.orika.MapperFactory;
import org.springframework.beans.BeansException;
import org.springframework.context.ApplicationContext;
import org.springframework.context.ApplicationContextAware;
import org.springframework.stereotype.Component;

/**
 * 对象复制处理器配置
 *
 * @author Woody
 * @date 2024/1/30
 */
@Component
public class CopyingConfigurer implements ApplicationContextAware {
    /**
     * 对象拷贝工厂配置接口
     */
    public interface CopierFactoryConfigurer {
        /**
         * 对象映射工厂配置
         *
         * @param factory 对象映射工厂实例
         */
        void configure(MapperFactory factory);
    }

    @Override
    public void setApplicationContext(ApplicationContext applicationContext) throws BeansException {
        applicationContext.getBeansOfType(CopierFactoryConfigurer.class).forEach(
                (key, configurer) -> configurer.configure(ObjectUtils.getCopierBuilder())
        );
    }
}
