package com.chelvc.framework.base.converter;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.Date;

import com.chelvc.framework.common.util.DateUtils;
import com.chelvc.framework.common.util.ObjectUtils;
import org.springframework.core.convert.converter.Converter;
import org.springframework.stereotype.Component;

/**
 * 字符串本地日期转换器
 *
 * @author Woody
 * @date 2024/1/30
 */
@Component
public class StringLocalDateConverter implements Converter<String, LocalDate> {
    @Override
    public LocalDate convert(String text) {
        Date date = DateUtils.parse(text);
        return ObjectUtils.ifNull(DateUtils.convert(date), LocalDateTime::toLocalDate);
    }
}
