package com.chelvc.framework.base.converter;

import com.chelvc.framework.common.model.Region;
import com.chelvc.framework.common.util.ObjectUtils;
import com.chelvc.framework.common.util.StringUtils;
import org.springframework.core.convert.converter.Converter;
import org.springframework.stereotype.Component;

/**
 * 字符串地区编码转换
 *
 * @author Woody
 * @date 2024/1/30
 */
@Component
public class StringRegionConverter implements Converter<String, Region> {
    @Override
    public Region convert(String source) {
        return ObjectUtils.ifNull(StringUtils.ifEmpty(source, Integer::parseInt), Region::of);
    }
}
