package com.chelvc.framework.base.crypto;

import javax.crypto.Cipher;

import com.chelvc.framework.common.util.AESUtils;
import lombok.Getter;
import lombok.NonNull;

/**
 * AES加解密处理实现
 *
 * @author Woody
 * @date 2024/12/27
 */
@Getter
public class AESCipherHandler extends AbstractCipherHandler {
    private final Cipher encryptor, decrypter;

    public AESCipherHandler(@NonNull String secret) {
        this(AESUtils.ECB_PKCS5PADDING, secret);
    }

    public AESCipherHandler(@NonNull String name, @NonNull String secret) {
        this.encryptor = AESUtils.getEncryptor(name, secret);
        this.decrypter = AESUtils.getDecrypter(name, secret);
    }

    public AESCipherHandler(@NonNull String name, @NonNull String secret, @NonNull String iv) {
        this.encryptor = AESUtils.getEncryptor(name, secret, iv);
        this.decrypter = AESUtils.getDecrypter(name, secret, iv);
    }
}
