package com.chelvc.framework.base.interceptor;

import java.io.IOException;
import javax.servlet.Filter;
import javax.servlet.FilterChain;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;
import javax.servlet.http.HttpServletRequest;

import com.chelvc.framework.base.util.HttpUtils;

/**
 * 请求体缓存处理拦截器实现
 *
 * @author Woody
 * @date 2024/1/30
 */
public class BufferedRequestInterceptor implements Filter {
    @Override
    public void doFilter(ServletRequest request, ServletResponse response, FilterChain chain)
            throws IOException, ServletException {
        if (HttpUtils.isMultipart(request)) {
            chain.doFilter(request, response);
        } else {
            chain.doFilter(new BufferedRequestWrapper((HttpServletRequest) request), response);
        }
    }
}
