package com.chelvc.framework.base.interceptor;

import java.io.IOException;
import javax.servlet.Filter;
import javax.servlet.FilterChain;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;

import org.springframework.core.annotation.Order;
import org.springframework.stereotype.Component;
import org.springframework.web.context.request.RequestContextHolder;

/**
 * 请求上下文拦截器
 *
 * @author Woody
 * @date 2024/1/30
 */
@Order
@Component
public class RequestContextInterceptor implements Filter {
    @Override
    public void doFilter(ServletRequest request, ServletResponse response, FilterChain chain)
            throws IOException, ServletException {
        // 重置请求上下文，用于线程间传递
        RequestContextHolder.setRequestAttributes(RequestContextHolder.getRequestAttributes(), true);
        chain.doFilter(request, response);
    }
}
