package com.chelvc.framework.base.logic;

import lombok.NonNull;

/**
 * 且逻辑
 *
 * @author Woody
 * @date 2025/2/25
 */
public class And extends Logic {
    /**
     * 运算符号
     */
    public static final String SYMBOL = "&&";

    public And(Expression left, Expression right) {
        super(left, right, SYMBOL);
    }

    @Override
    public boolean eval(@NonNull VariableParser parser) {
        return this.left.eval(parser) && this.right.eval(parser);
    }
}
