package com.chelvc.framework.base.logic;

import java.util.Objects;

import com.chelvc.framework.base.util.SpringUtils;
import com.chelvc.framework.common.model.Ip;
import lombok.NonNull;

/**
 * 等于
 *
 * @author Woody
 * @date 2025/2/25
 */
public class Eq extends Judge {
    /**
     * 运算符号
     */
    public static final String SYMBOL = "=";

    public Eq(String left, String right) {
        super(left, right, SYMBOL);
    }

    @Override
    public boolean matches(@NonNull CharSequence left, @NonNull CharSequence right) {
        // 匹配IP地址
        if (left instanceof Ip) {
            return ((Ip) left).matches(right);
        } else if (right instanceof Ip) {
            return ((Ip) right).matches(left);
        }

        // 匹配Ant风格路径
        String ls = left.toString(), rs = right.toString();
        if (ls.contains(SpringUtils.ANT_PATH_MARK)) {
            return SpringUtils.isPath(rs, ls);
        } else if (rs.contains(SpringUtils.ANT_PATH_MARK)) {
            return SpringUtils.isPath(ls, rs);
        }

        // 匹配普通字符串
        return Objects.equals(ls, rs);
    }
}
