package com.chelvc.framework.base.logic;

import com.chelvc.framework.common.model.Version;
import lombok.NonNull;

/**
 * 大于
 *
 * @author Woody
 * @date 2025/2/25
 */
public class Gt extends Judge {
    /**
     * 运算符号
     */
    public static final String SYMBOL = ">";

    public Gt(String left, String right) {
        super(left, right, SYMBOL);
    }

    @Override
    public boolean matches(@NonNull CharSequence left, @NonNull CharSequence right) {
        if (left instanceof Version || right instanceof Version) {
            return Version.compare(left.toString(), right.toString()) > 0;
        }
        return left.toString().compareTo(right.toString()) > 0;
    }
}
