package com.chelvc.framework.common.exception;

import com.chelvc.framework.common.util.ObjectUtils;
import lombok.Getter;

/**
 * 框架异常
 *
 * @author Woody
 * @date 2024/1/30
 */
@Getter
public class FrameworkException extends RuntimeException {
    /**
     * 状态码
     */
    private final String code;

    /**
     * 异常数据
     */
    private final Object data;

    public FrameworkException(String code, Object data, String message) {
        this(code, data, message, null);
    }

    public FrameworkException(String code, Object data, Throwable cause) {
        this(code, data, ObjectUtils.ifNull(cause, Throwable::getMessage), cause);
    }

    public FrameworkException(String code, Object data, String message, Throwable cause) {
        super(message, cause);
        this.code = code;
        this.data = data;
    }
}
