package com.chelvc.framework.common.function;

/**
 * 对象适配方法接口
 *
 * @param <T> 第一个输入参数类型
 * @param <U> 第二个输入参数类型
 * @param <R> 目标对象类型
 * @author Woody
 * @date 2024/1/30
 */
@FunctionalInterface
public interface BiAdapter<T, U, R> {
    /**
     * 对象适配
     *
     * @param t 第一个输入参数
     * @param u 第二个输入参数
     * @return 目标对象实例
     * @throws Exception 处理异常
     */
    R apply(T t, U u) throws Exception;
}
