package com.chelvc.framework.common.function;

/**
 * 测试函数接口
 *
 * @param <T> 第一个输入参数类型
 * @param <U> 第二个输入参数类型
 * @param <M> 第三个输入参数类型
 * @author Woody
 * @date 2024/1/30
 */
@FunctionalInterface
public interface MultipleTester<T, U, M> {
    /**
     * 测试
     *
     * @param t 第一个输入参数
     * @param u 第二个输入参数
     * @param m 第三个输入参数
     * @return true/false
     * @throws Exception 处理异常
     */
    boolean test(T t, U u, M m) throws Exception;
}
