package com.chelvc.framework.common.function;

import java.io.IOException;
import java.io.OutputStream;

/**
 * 输出流适配函数
 *
 * @param <T> 适配目标类型
 * @author Woody
 * @date 2024/6/26
 */
@FunctionalInterface
public interface OutputAdapter<T> {
    /**
     * 适配输出流
     *
     * @param output 输出流实例
     * @return 适配结果
     * @throws IOException I/O异常
     */
    T apply(OutputStream output) throws IOException;
}
