package com.chelvc.framework.database.config;

import com.baomidou.mybatisplus.core.incrementer.IdentifierGenerator;
import com.chelvc.framework.common.util.IdentityUtils;
import com.chelvc.framework.redis.context.RedisContextHolder;
import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.autoconfigure.condition.ConditionalOnClass;
import org.springframework.stereotype.Component;

/**
 * 基于Redis分布式ID生成器实现
 *
 * @author Woody
 * @date 2024/6/23
 */
@Slf4j
@Component
@ConditionalOnClass(RedisContextHolder.class)
public class RedisIdentifierGenerator implements IdentifierGenerator {
    @Override
    public Number nextId(Object entity) {
        try {
            return RedisContextHolder.identity();
        } catch (Exception e) {
            log.warn("Redis identifier generate failed: {}", e.getMessage());
            return IdentityUtils.generate();
        }
    }
}
