package com.chelvc.framework.database.crypto;

import java.time.Duration;

import com.chelvc.framework.base.crypto.CacheableCipherHandler;
import lombok.NonNull;

/**
 * 基于缓存的数据库加解密处理实现
 *
 * @author Woody
 * @date 2024/12/27
 */
public class CacheableDatabaseCipherHandler extends CacheableCipherHandler implements DatabaseCipherHandler {
    public CacheableDatabaseCipherHandler(@NonNull DatabaseCipherHandler delegate, long capacity,
                                          @NonNull Duration duration) {
        super(delegate, capacity, duration);
    }

    @Override
    public boolean isMixed() {
        return ((DatabaseCipherHandler) this.delegate).isMixed();
    }

    @Override
    public boolean isWritable() {
        return ((DatabaseCipherHandler) this.delegate).isWritable();
    }
}
