package com.chelvc.framework.database.crypto;

import com.chelvc.framework.base.crypto.CipherHandler;

/**
 * 数据库加解密处理接口
 *
 * @author Woody
 * @date 2024/12/27
 */
public interface DatabaseCipherHandler extends CipherHandler {
    /**
     * 是否混合读取（同时包含明文、密文）
     *
     * @return true/false
     */
    boolean isMixed();

    /**
     * 是否可写入密文
     *
     * @return true/false
     */
    boolean isWritable();
}
