package com.chelvc.framework.database.crypto;

import javax.crypto.Cipher;

import com.chelvc.framework.base.crypto.AbstractCipherHandler;
import com.chelvc.framework.common.util.AESUtils;
import com.chelvc.framework.database.config.DatabaseProperties;
import lombok.Getter;
import lombok.NonNull;

/**
 * 数据库加解密处理默认实现
 *
 * @author Woody
 * @date 2024/12/27
 */
@Getter
public class DefaultDatabaseCipherHandler extends AbstractCipherHandler implements DatabaseCipherHandler {
    private final boolean mixed, writable;
    private final Cipher encryptor, decrypter;

    public DefaultDatabaseCipherHandler(@NonNull DatabaseProperties.Crypto properties) {
        this.mixed = properties.isMixed();
        this.writable = properties.isWritable();
        this.encryptor = AESUtils.getEncryptor(AESUtils.ECB_PKCS5PADDING, properties.getSecret());
        this.decrypter = AESUtils.getDecrypter(AESUtils.ECB_PKCS5PADDING, properties.getSecret());
    }
}
