package com.chelvc.framework.database.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * 可设置创建信息的数据模型，创建信息自动初始化
 *
 * @param <ID> 主键类型
 * @author Woody
 * @date 2024/1/30
 */
public interface Creatable<ID extends Serializable> extends Entity<ID> {
    /**
     * 获取创建用户
     *
     * @return 创建用户
     */
    Long getCreator();

    /**
     * 设置创建用户
     *
     * @param creator 创建用户
     */
    void setCreator(Long creator);

    /**
     * 获取创建时间
     *
     * @return 创建时间
     */
    Date getCreateTime();

    /**
     * 设置创建时间
     *
     * @param createTime 创建时间
     */
    void setCreateTime(Date createTime);
}
