package com.chelvc.framework.database.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableField;
import com.chelvc.framework.database.handler.DeletedTypeHandler;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 可删除数据模型
 *
 * @author Woody
 * @date 2024/1/30
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public abstract class DeleteEntity<ID extends Serializable> implements Deletable<ID> {
    /**
     * 是否已删除
     */
    @TableField(typeHandler = DeletedTypeHandler.class)
    private Boolean deleted;
}
