package com.chelvc.framework.database.handler;

import java.sql.CallableStatement;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;

import com.chelvc.framework.common.model.Period;
import org.apache.ibatis.type.BaseTypeHandler;
import org.apache.ibatis.type.JdbcType;

/**
 * 时间周期字段处理实现
 *
 * @author Woody
 * @date 2024/4/3
 */
public class PeriodTypeHandler extends BaseTypeHandler<Period> {
    @Override
    public void setNonNullParameter(PreparedStatement ps, int i, Period parameter, JdbcType jdbcType)
            throws SQLException {
        ps.setString(i, parameter.toString());
    }

    @Override
    public Period getNullableResult(ResultSet rs, String columnName) throws SQLException {
        return Period.parse(rs.getString(columnName));
    }

    @Override
    public Period getNullableResult(ResultSet rs, int columnIndex) throws SQLException {
        return Period.parse(rs.getString(columnIndex));
    }

    @Override
    public Period getNullableResult(CallableStatement cs, int columnIndex) throws SQLException {
        return Period.parse(cs.getString(columnIndex));
    }
}
