package com.chelvc.framework.database.handler;

import java.sql.CallableStatement;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;

import com.chelvc.framework.common.model.Range;
import org.apache.ibatis.type.BaseTypeHandler;
import org.apache.ibatis.type.JdbcType;

/**
 * 数字范围字段处理实现
 *
 * @author Woody
 * @date 2024/10/30
 */
public class RangeTypeHandler extends BaseTypeHandler<Range> {
    @Override
    public void setNonNullParameter(PreparedStatement ps, int i, Range parameter, JdbcType jdbcType)
            throws SQLException {
        ps.setString(i, parameter.toString());
    }

    @Override
    public Range getNullableResult(ResultSet rs, String columnName) throws SQLException {
        return Range.parse(rs.getString(columnName));
    }

    @Override
    public Range getNullableResult(ResultSet rs, int columnIndex) throws SQLException {
        return Range.parse(rs.getString(columnIndex));
    }

    @Override
    public Range getNullableResult(CallableStatement cs, int columnIndex) throws SQLException {
        return Range.parse(cs.getString(columnIndex));
    }
}
