package com.chelvc.framework.database.handler;

import java.sql.CallableStatement;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;

import com.chelvc.framework.common.model.Region;
import org.apache.ibatis.type.BaseTypeHandler;
import org.apache.ibatis.type.JdbcType;

/**
 * 地区字段处理实现
 *
 * @author Woody
 * @date 2024/4/3
 */
public class RegionTypeHandler extends BaseTypeHandler<Region> {
    @Override
    public void setNonNullParameter(PreparedStatement ps, int i, Region parameter, JdbcType jdbcType)
            throws SQLException {
        ps.setLong(i, parameter.getCode());
    }

    @Override
    public Region getNullableResult(ResultSet rs, String columnName) throws SQLException {
        return Region.of(rs.getInt(columnName));
    }

    @Override
    public Region getNullableResult(ResultSet rs, int columnIndex) throws SQLException {
        return Region.of(rs.getInt(columnIndex));
    }

    @Override
    public Region getNullableResult(CallableStatement cs, int columnIndex) throws SQLException {
        return Region.of(cs.getInt(columnIndex));
    }
}
