package com.chelvc.framework.database.interceptor;

import com.baomidou.mybatisplus.extension.plugins.handler.TenantLineHandler;
import com.chelvc.framework.database.entity.Deletable;
import net.sf.jsqlparser.expression.Expression;

/**
 * 数据逻辑删除隔离处理拦截器
 *
 * @author Woody
 * @date 2024/1/30
 */
public class DeletedIsolateInterceptor implements TenantLineHandler {
    @Override
    public Expression getTenantId() {
        return Expressions.ZERO_VALUE;
    }

    @Override
    public String getTenantIdColumn() {
        return Expressions.DELETED_COLUMN.getColumnName();
    }

    @Override
    public boolean ignoreTable(String table) {
        Class<?> model = Tables.getTableClass(table);
        return model == null || !Deletable.class.isAssignableFrom(model);
    }
}
