package com.chelvc.framework.database.jackson;

import java.io.IOException;

import com.chelvc.framework.database.context.DatabaseContextHolder;
import com.fasterxml.jackson.core.JsonParser;
import com.fasterxml.jackson.databind.DeserializationContext;
import com.fasterxml.jackson.databind.JsonDeserializer;

/**
 * 敏感字符串JSON反序列化处理器
 *
 * @author Woody
 * @date 2025/1/7
 */
public class SensitiveDeserializer extends JsonDeserializer<String> {
    @Override
    public String deserialize(JsonParser parser, DeserializationContext context) throws IOException {
        String value = parser.getValueAsString();
        return DatabaseContextHolder.getDatabaseCipherHandler().decrypt(value, true);
    }
}
