package com.chelvc.framework.database.jackson;

import java.io.IOException;
import java.util.List;

import com.chelvc.framework.common.util.JacksonUtils;
import com.chelvc.framework.database.context.DatabaseContextHolder;
import com.fasterxml.jackson.core.JsonParser;
import com.fasterxml.jackson.databind.DeserializationContext;
import com.fasterxml.jackson.databind.JsonDeserializer;

/**
 * 敏感字符串列表JSON反序列化处理器
 *
 * @author Woody
 * @date 2025/1/7
 */
public class SensitiveListDeserializer extends JsonDeserializer<List<String>> {
    @Override
    public List<String> deserialize(JsonParser parser, DeserializationContext context) throws IOException {
        List<String> values = parser.readValueAs(JacksonUtils.STRING_LIST_TYPE);
        return DatabaseContextHolder.getDatabaseCipherHandler().decrypt(values, true);
    }
}
