package com.chelvc.framework.database.jackson;

import java.io.IOException;
import java.util.List;

import com.chelvc.framework.database.context.DatabaseContextHolder;
import com.fasterxml.jackson.core.JsonGenerator;
import com.fasterxml.jackson.databind.JsonSerializer;
import com.fasterxml.jackson.databind.SerializerProvider;

/**
 * 敏感字符串列表JSON序列化处理器
 *
 * @author Woody
 * @date 2025/1/7
 */
public class SensitiveListSerializer extends JsonSerializer<List<String>> {
    @Override
    public void serialize(List<String> value, JsonGenerator generator, SerializerProvider provider) throws IOException {
        if (DatabaseContextHolder.getDatabaseCipherHandler().isWritable()) {
            value = DatabaseContextHolder.getDatabaseCipherHandler().encrypt(value, true);
        }
        generator.writeObject(value);
    }
}
