package com.chelvc.framework.database.jackson;

import java.io.IOException;

import com.chelvc.framework.database.context.DatabaseContextHolder;
import com.fasterxml.jackson.core.JsonGenerator;
import com.fasterxml.jackson.databind.JsonSerializer;
import com.fasterxml.jackson.databind.SerializerProvider;

/**
 * 敏感字符串JSON序列化处理器
 *
 * @author Woody
 * @date 2025/1/7
 */
public class SensitiveSerializer extends JsonSerializer<String> {
    @Override
    public void serialize(String value, JsonGenerator generator, SerializerProvider provider) throws IOException {
        if (DatabaseContextHolder.getDatabaseCipherHandler().isWritable()) {
            value = DatabaseContextHolder.getDatabaseCipherHandler().encrypt(value, true);
        }
        generator.writeString(value);
    }
}
