package com.chelvc.framework.database.jackson;

import java.io.IOException;
import java.util.Set;

import com.chelvc.framework.common.util.JacksonUtils;
import com.chelvc.framework.database.context.DatabaseContextHolder;
import com.fasterxml.jackson.core.JsonParser;
import com.fasterxml.jackson.databind.DeserializationContext;
import com.fasterxml.jackson.databind.JsonDeserializer;

/**
 * 敏感字符串集合JSON反序列化处理器
 *
 * @author Woody
 * @date 2025/1/7
 */
public class SensitiveSetDeserializer extends JsonDeserializer<Set<String>> {
    @Override
    public Set<String> deserialize(JsonParser parser, DeserializationContext context) throws IOException {
        Set<String> values = parser.readValueAs(JacksonUtils.STRING_SET_TYPE);
        return DatabaseContextHolder.getDatabaseCipherHandler().decrypt(values, true);
    }
}
