package com.chelvc.framework.database.jackson;

import java.io.IOException;
import java.util.Set;

import com.chelvc.framework.database.context.DatabaseContextHolder;
import com.fasterxml.jackson.core.JsonGenerator;
import com.fasterxml.jackson.databind.JsonSerializer;
import com.fasterxml.jackson.databind.SerializerProvider;

/**
 * 敏感字符串集合JSON序列化处理器
 *
 * @author Woody
 * @date 2025/1/7
 */
public class SensitiveSetSerializer extends JsonSerializer<Set<String>> {
    @Override
    public void serialize(Set<String> value, JsonGenerator generator, SerializerProvider provider) throws IOException {
        if (DatabaseContextHolder.getDatabaseCipherHandler().isWritable()) {
            value = DatabaseContextHolder.getDatabaseCipherHandler().encrypt(value, true);
        }
        generator.writeObject(value);
    }
}
