package com.chelvc.framework.database.support;

import com.baomidou.mybatisplus.core.metadata.TableInfo;
import lombok.NonNull;

/**
 * 批量创建或忽略方法实现
 *
 * @author Woody
 * @date 2024/4/3
 */
public class BatchCreateIgnoreMethod extends AbstractCreateMethod {
    public BatchCreateIgnoreMethod() {
        super("batchCreateIgnore");
    }

    @Override
    protected String initializeMethodScript(@NonNull TableInfo table) {
        return String.format(
                "<script>\nINSERT IGNORE INTO %s (%s) VALUES\n" +
                        "<foreach collection=\"collection\" item=\"entity\" separator=\",\">(%s)</foreach>\n</script>",
                table.getTableName(), this.getColumns(table), this.getProperties(table, "entity.")
        );
    }
}
