package com.chelvc.framework.database.support;

import com.baomidou.mybatisplus.core.metadata.TableInfo;
import lombok.NonNull;

/**
 * 批量创建或修改方法实现
 *
 * @author Woody
 * @date 2024/4/3
 */
public class BatchCreateUpdateMethod extends AbstractCreateMethod {
    public BatchCreateUpdateMethod() {
        super("batchCreateUpdate");
    }

    @Override
    protected String initializeMethodScript(@NonNull TableInfo table) {
        return String.format(
                "<script>\nINSERT INTO %s (%s) VALUES\n" +
                        "<foreach collection=\"coll\" item=\"et\" separator=\",\">(%s)</foreach>\n" +
                        "ON DUPLICATE KEY UPDATE \n" +
                        "<foreach collection=\"update.expressions.entrySet()\" index=\"column\" item=\"expression\" " +
                        "separator=\",\">${column} = ${expression}</foreach>\n</script>",
                table.getTableName(), this.getColumns(table), this.getProperties(table, "et.")
        );
    }
}
