package com.chelvc.framework.database.support;

import com.baomidou.mybatisplus.core.metadata.TableInfo;
import lombok.NonNull;

/**
 * 创建或忽略方法实现
 *
 * @author Woody
 * @date 2024/4/3
 */
public class CreateIgnoreMethod extends AbstractCreateMethod {
    public CreateIgnoreMethod() {
        super("createIgnore");
    }

    @Override
    protected String initializeMethodScript(@NonNull TableInfo table) {
        return String.format(
                "<script>\nINSERT IGNORE INTO %s (%s) VALUES (%s)\n</script>",
                table.getTableName(), this.getColumns(table), this.getProperties(table)
        );
    }
}
