package com.chelvc.framework.database.support;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.conditions.query.LambdaQueryChainWrapper;
import com.baomidou.mybatisplus.extension.conditions.query.QueryChainWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * 业务增强操作默认实现
 *
 * @param <T> 数据模型类型
 * @param <M> 数据Mapper类型
 * @author Woody
 * @date 2024/4/29
 */
public class DefaultEnhanceService<M extends BaseMapper<T>, T> extends ServiceImpl<M, T> implements EnhanceService<T> {
    @Override
    public QueryChainWrapper<T> query() {
        QueryChainWrapper<T> query = super.query();
        query.setEntityClass(this.getEntityClass());
        return query;
    }

    @Override
    public LambdaQueryChainWrapper<T> lambdaQuery() {
        LambdaQueryChainWrapper<T> query = super.lambdaQuery();
        query.setEntityClass(this.getEntityClass());
        return query;
    }
}
