package com.chelvc.framework.database.support;

import java.util.List;

import com.baomidou.mybatisplus.core.injector.AbstractMethod;
import com.baomidou.mybatisplus.core.injector.DefaultSqlInjector;

/**
 * SQL注入器增强实现
 *
 * @author Woody
 * @date 2024/4/3
 */
public class EnhanceSqlInjector extends DefaultSqlInjector {
    @Override
    public List<AbstractMethod> getMethodList(Class<?> mapperClass) {
        List<AbstractMethod> methods = super.getMethodList(mapperClass);
        methods.add(new CreateIgnoreMethod());
        methods.add(new CreateUpdateMethod());
        methods.add(new BatchCreateIgnoreMethod());
        methods.add(new BatchCreateUpdateMethod());
        return methods;
    }
}
