package com.chelvc.framework.download.config;

import com.chelvc.framework.download.DownloadHandler;
import com.chelvc.framework.download.support.DefaultDownloadHandler;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * 文件下载配置
 *
 * @author Woody
 * @date 2024/5/10
 */
@Configuration
public class DownloadConfigurer {
    @ConditionalOnMissingBean(DownloadHandler.class)
    @Bean(initMethod = "initialize", destroyMethod = "destroy")
    public DownloadHandler downloadHandler(DownloadProperties properties) {
        return new DefaultDownloadHandler(properties);
    }
}
