package com.chelvc.framework.download.config;

import com.chelvc.framework.common.util.FileUtils;
import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * 文件下载配置属性
 *
 * @author Woody
 * @date 2024/5/9
 */
@Data
@Configuration
@ConfigurationProperties("download")
public class DownloadProperties {
    /**
     * 文件存储目录
     */
    private String directory = FileUtils.DOWNLOAD;

    /**
     * 文件过期时间（秒）
     */
    private int expiration = 10 * 60;
}
