package com.chelvc.framework.dubbo.adapter;

/**
 * Dubbo对象适配器接口
 *
 * @param <O> 原始对象类型
 * @param <T> 目标对象类型
 * @author Woody
 * @date 2024/1/30
 */
public interface DubboObjectAdapter<O, T> {
    /**
     * 包装对象
     *
     * @param original 原始对象实例
     * @return 目标对象实例
     */
    T wrap(O original);

    /**
     * 解包对象
     *
     * @param target 目标对象实例
     * @return 原始对象实例
     */
    O unwrap(T target);
}
