package com.chelvc.framework.elasticsearch.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * ES配置属性
 *
 * @author Woody
 * @date 2024/10/16
 */
@Data
@Configuration
@ConfigurationProperties("elasticsearch")
public class ElasticsearchProperties {
    /**
     * 主机地址
     */
    private String host;

    /**
     * 主机端口
     */
    private int port = 9200;

    /**
     * 协议类型
     */
    private String scheme = "http";

    /**
     * 认证账号
     */
    private String username;

    /**
     * 认证密码
     */
    private String password;

    /**
     * 最大连接数
     */
    private int maxConnTotal = 500;

    /**
     * 连接最大路由数
     */
    private int maxConnPerRoute = 300;
}
