package com.chelvc.framework.email;

import java.io.File;
import javax.mail.internet.MimeBodyPart;

/**
 * 邮件操作接口
 *
 * @author Woody
 * @date 2024/1/30
 */
public interface EmailHandler {
    /**
     * 发送邮件
     *
     * @param body 邮件消息体对象
     * @return true/false
     */
    boolean send(Body body);

    /**
     * 发送邮件
     *
     * @param body        邮件消息体对象
     * @param attachments 邮件附件数组
     * @return true/false
     */
    boolean send(Body body, File... attachments);

    /**
     * 发送邮件
     *
     * @param body        邮件消息体对象
     * @param attachments 邮件附件数组
     * @return true/false
     */
    boolean send(Body body, MimeBodyPart... attachments);
}
