package com.chelvc.framework.email.config;

import javax.mail.Session;

import com.chelvc.framework.email.DefaultEmailHandler;
import com.chelvc.framework.email.EmailHandler;
import com.chelvc.framework.email.context.EmailContextHolder;
import org.springframework.boot.autoconfigure.condition.ConditionalOnBean;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * 邮件配置
 *
 * @author Woody
 * @date 2024/1/30
 */
@Configuration
@ConditionalOnBean(EmailProperties.class)
public class EmailConfigurer {
    @Bean
    @ConditionalOnMissingBean(Session.class)
    public Session session(EmailProperties properties) {
        return EmailContextHolder.session(properties);
    }

    @Bean
    @ConditionalOnMissingBean(EmailHandler.class)
    public EmailHandler emailHandler(Session session, EmailProperties properties) {
        return new DefaultEmailHandler(session, properties);
    }
}
