package com.chelvc.framework.feign.circuitbreaker;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Feign调用熔断启用注解
 *
 * @author Woody
 * @date 2025/4/14
 */
@Documented
@Target(ElementType.TYPE)
@Retention(RetentionPolicy.RUNTIME)
public @interface EnableFeignCircuitBreaker {
    /**
     * 获取启用熔断服务名称数组
     *
     * @return 服务名称数组
     */
    String[] servers() default {};
}
