package com.chelvc.framework.feign.config;

import java.util.Collections;
import java.util.List;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * Feign配置属性
 *
 * @author Woody
 * @date 2024/10/29
 */
@Data
@Configuration
@ConfigurationProperties("feign")
public class FeignProperties {
    /**
     * 请求转发配置
     */
    private List<Forward> forwards = Collections.emptyList();

    /**
     * 请求转发配置
     */
    @Data
    public static class Forward {
        /**
         * 原服务
         */
        private String source;

        /**
         * 目标服务
         */
        private String target;

        /**
         * 是否增加接口前缀
         */
        private boolean prefixed = false;
    }
}
