package com.chelvc.framework.group;

import com.chelvc.framework.common.model.Caps;

/**
 * 分组处理器接口
 *
 * @author Woody
 * @date 2024/9/8
 */
public interface GroupHandler {
    /**
     * 执行分组
     *
     * @param scene 分组场景
     * @param args  方法输入/出参数数组
     * @return 分组结果
     */
    Caps execute(String scene, Object... args);

    /**
     * 分组完成回调方法
     *
     * @param scene 分组场景
     * @param group 分组结果
     * @param args  方法输入/出参数数组
     */
    default void complete(String scene, Caps group, Object... args) {
    }
}
