package com.chelvc.framework.group;

/**
 * 分组处理器工厂接口
 *
 * @author Woody
 * @date 2025/4/7
 */
public interface GroupHandlerFactory {
    /**
     * 获取分组处理器
     *
     * @param type 分组处理器对象类型
     * @param <T>  分组处理器类型
     * @return 分组处理器实例
     */
    <T extends GroupHandler> T getHandler(Class<T> type);
}
