package com.chelvc.framework.group.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * 分组配置
 *
 * @author Woody
 * @date 2025/4/7
 */
@Data
@Configuration
@ConfigurationProperties("group")
public class GroupProperties {
    /**
     * 分组缓存配置
     */
    private final Cache cache = new Cache();

    @Data
    public static class Cache {
        /**
         * 缓存时间（秒）
         */
        private int duration = 24 * 60 * 60;
    }
}
