package com.chelvc.framework.jpush.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * 极光配置
 *
 * @author Woody
 * @date 2024/1/30
 */
@Data
@Configuration
@ConfigurationProperties("jpush")
public class JPushProperties {
    /**
     * 应用标识
     */
    private String appid;

    /**
     * 应用密钥
     */
    private String secret;

    /**
     * 华为配置
     */
    private final Attribute huawei = new Attribute();

    /**
     * 荣耀配置
     */
    private final Attribute honor = new Attribute();

    /**
     * 小米配置
     */
    private final Attribute xiaomi = new Attribute();

    /**
     * OPPO配置
     */
    private final Attribute oppo = new Attribute();

    /**
     * VIVO配置
     */
    private final Attribute vivo = new Attribute();

    /**
     * 属性配置
     */
    @Data
    public static class Attribute {
        /**
         * 场景
         */
        private String scene;

        /**
         * 渠道
         */
        private String channel;

        /**
         * 重要性
         */
        private String importance;

        /**
         * 分布
         */
        private String distribution;

        /**
         * 分类
         */
        private Integer classification;
    }
}
