package com.chelvc.framework.kafka.fallback;

import org.apache.kafka.clients.producer.ProducerRecord;
import org.springframework.kafka.support.SendResult;

/**
 * Kafka消息降级发送结果
 *
 * @param <K> 顺序标识类型
 * @param <V> 消息载体类型
 * @author Woody
 * @date 2024/7/16
 */
public class FallbackSendResult<K, V> extends SendResult<K, V> {
    public FallbackSendResult(ProducerRecord<K, V> record) {
        super(record, null);
    }
}
