package com.chelvc.framework.kafka.fallback;

import java.io.Serializable;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * Kafka降级消息
 *
 * @author Woody
 * @date 2024/12/20
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class KafkaFallbackMessage implements Serializable {
    /**
     * 消息主题
     */
    private String topic;

    /**
     * 消息载体
     */
    private Object payload;

    /**
     * 排序标识
     */
    private Object ordering;

    /**
     * 消息分区
     */
    private Integer partition;
}
