package com.chelvc.framework.kafka.producer;

import org.springframework.core.Ordered;

/**
 * Kafka消息发送处理器包装器接口
 *
 * @author Woody
 * @date 2024/7/18
 */
public interface KafkaSenderWrapper extends Ordered {
    @Override
    default int getOrder() {
        return Ordered.LOWEST_PRECEDENCE;
    }

    /**
     * 消息发送处理器包装处理
     *
     * @param sender 消息发送处理器实例
     * @param <K>    顺序标识类型
     * @param <V>    消息载体类型
     * @return 消息发送处理器实例
     */
    <K, V> KafkaMessageSender<K, V> wrap(KafkaMessageSender<K, V> sender);
}
