package com.chelvc.framework.kafka.producer;

/**
 * Kafka事务消息检测处理接口
 *
 * @author Woody
 * @date 2025/5/9
 */
public interface TransactionCheckProcessor<T> {
    /**
     * 获取消息主题
     *
     * @return 消息主题
     */
    String topic();

    /**
     * 获取消息类型
     *
     * @return 消息模型对象
     */
    Class<T> model();

    /**
     * 本地事务检测
     *
     * @param message 事务消息
     * @return 本地事务检测处理决策
     */
    TransactionResolution check(T message);
}
