package com.chelvc.framework.kafka.producer;

import java.io.Serializable;

import com.chelvc.framework.base.context.Session;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * Kafka事务消息模型
 *
 * @author Woody
 * @date 2025/5/7
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class TransactionMessage implements Serializable {
    /**
     * 消息ID
     */
    private String id;

    /**
     * 消息主体
     */
    private String topic;

    /**
     * 消息载体
     */
    private Object payload;

    /**
     * 顺序标识
     */
    private Object ordering;

    /**
     * 所属分区
     */
    private Integer partition;

    /**
     * 会话信息
     */
    private Session session;
}
