package com.chelvc.framework.location.support;

import java.io.Serializable;
import java.util.List;

import com.chelvc.framework.location.Address;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 腾讯地址响应信息
 *
 * @author Woody
 * @date 2024/4/3
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class TencentAddressResponse implements Serializable {
    /**
     * 响应状态
     */
    private Integer status;

    /**
     * 描述信息
     */
    private String message;

    /**
     * 地址列表
     */
    private List<List<Address>> result;
}
