package com.chelvc.framework.rocketmq.fallback;

import java.io.Serializable;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * RocketMQ降级消息
 *
 * @author Woody
 * @date 2024/12/20
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class RocketMQFallbackMessage implements Serializable {
    /**
     * 消息主题
     */
    private String topic;

    /**
     * 消息载体
     */
    private Object payload;

    /**
     * 顺序标识
     */
    private String ordering;

    /**
     * 是否是事务消息
     */
    private boolean transactional;
}
