package com.chelvc.framework.rocketmq.producer;

import org.apache.rocketmq.client.apis.producer.Producer;
import org.springframework.core.Ordered;

/**
 * RocketMQ消息生产者包装器接口
 *
 * @author Woody
 * @date 2024/7/14
 */
public interface RocketMQProducerWrapper extends Ordered {
    @Override
    default int getOrder() {
        return Ordered.LOWEST_PRECEDENCE;
    }

    /**
     * 消息生产者包装处理
     *
     * @param producer 消息生产者实例
     * @return 消息生产者实例
     */
    Producer wrap(Producer producer);
}
