package com.chelvc.framework.rocketmq.producer;

import org.apache.rocketmq.client.apis.producer.TransactionResolution;

/**
 * RocketMQ事务消息检测处理接口
 *
 * @param <T> 消息类型
 * @author Woody
 * @date 2024/10/29
 */
public interface TransactionCheckProcessor<T> {
    /**
     * 获取消息主题
     *
     * @return 消息主题
     */
    String topic();

    /**
     * 获取消息类型
     *
     * @return 消息模型对象
     */
    Class<T> model();

    /**
     * 事务检测
     *
     * @param message 事务消息
     * @return 事务处理决策
     */
    TransactionResolution check(T message);
}
