package com.chelvc.framework.security.annotation;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 数据加解密注解
 *
 * @author Woody
 * @date 2024/4/3
 */
@Documented
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.FIELD, ElementType.METHOD})
public @interface Crypto {
    /**
     * 是否启用请求解密
     *
     * @return true/false
     */
    boolean request() default true;

    /**
     * 是否启用响应加密
     *
     * @return true/false
     */
    boolean response() default true;
}
