package com.chelvc.framework.security.crypto;

import java.time.Duration;

import com.chelvc.framework.base.context.Session;
import com.chelvc.framework.base.crypto.CacheableCipherHandler;
import lombok.NonNull;

/**
 * 基于缓存的数据安全加解密处理实现
 *
 * @author Woody
 * @date 2025/1/5
 */
public class CacheableSecurityCipherHandler extends CacheableCipherHandler implements SecurityCipherHandler {
    public CacheableSecurityCipherHandler(@NonNull SecurityCipherHandler delegate, long capacity,
                                          @NonNull Duration duration) {
        super(delegate, capacity, duration);
    }

    @Override
    public String sign(Session session, String payload) {
        return ((SecurityCipherHandler) this.delegate).sign(session, payload);
    }
}
