package com.chelvc.framework.security.crypto;

import javax.crypto.Cipher;

import com.chelvc.framework.common.util.AESUtils;
import com.chelvc.framework.common.util.StringUtils;
import com.chelvc.framework.security.config.SecurityProperties;
import lombok.Getter;
import lombok.NonNull;

/**
 * 数据安全加解密处理默认实现
 *
 * @author Woody
 * @date 2025/1/3
 */
@Getter
public class DefaultSecurityCipherHandler extends AbstractSecurityCipherHandler implements SecurityCipherHandler {
    private final Cipher encryptor, decrypter;

    public DefaultSecurityCipherHandler(@NonNull SecurityProperties.Crypto properties) {
        super(properties);
        String name = AESUtils.CBC_PKCS5PADDING, secret = properties.getSecret(), iv = properties.getIv();
        this.encryptor = StringUtils.isEmpty(iv) ?
                AESUtils.getEncryptor(name, secret) : AESUtils.getEncryptor(name, secret, iv);
        this.decrypter = StringUtils.isEmpty(iv) ?
                AESUtils.getDecrypter(name, secret) : AESUtils.getDecrypter(name, secret, iv);
    }
}
