package com.chelvc.framework.security.firewall;

/**
 * 动作接口
 *
 * @author Woody
 * @date 2025/3/14
 */
public interface Action {
    /**
     * 获取动作名称
     *
     * @return 动作名称
     */
    String getName();

    /**
     * 执行动作
     *
     * @param principal 主体信息
     * @param rule      匹配规则
     */
    void execute(String principal, Rule rule);

    /**
     * 动作执行完成
     *
     * @param principal 主体信息
     * @param rule      匹配规则
     */
    default void complete(String principal, Rule rule) {
    }
}
