package com.chelvc.framework.security.firewall;

import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * 观察动作实现
 *
 * @author Woody
 * @date 2025/3/14
 */
@Slf4j
@Component
public class ObserveAction implements Action {
    /**
     * 动作名称
     */
    public static final String NAME = "OBSERVE";

    @Override
    public String getName() {
        return NAME;
    }

    @Override
    public void execute(String principal, Rule rule) {
        log.warn("Firewall rule triggered: {}, principal: {}", rule.getId(), principal);
    }
}
