package com.chelvc.framework.security.jackson;

import java.io.IOException;

import com.chelvc.framework.common.util.JacksonUtils;
import com.chelvc.framework.security.context.SecurityContextHolder;
import com.fasterxml.jackson.core.JsonParser;
import com.fasterxml.jackson.databind.DeserializationContext;
import com.fasterxml.jackson.databind.JsonDeserializer;

/**
 * JSON字符串解密处理器
 *
 * @author Woody
 * @date 2024/8/2
 */
public class JacksonArrayDecrypter extends JsonDeserializer<String[]> {
    @Override
    public String[] deserialize(JsonParser parser, DeserializationContext context) throws IOException {
        String[] value = parser.readValueAs(JacksonUtils.STRING_ARRAY_TYPE);
        return SecurityContextHolder.getSecurityCipherHandler().decrypt(value);
    }
}
