package com.chelvc.framework.security.jackson;

import java.io.IOException;

import com.chelvc.framework.security.context.SecurityContextHolder;
import com.fasterxml.jackson.core.JsonGenerator;
import com.fasterxml.jackson.databind.JsonSerializer;
import com.fasterxml.jackson.databind.SerializerProvider;

/**
 * JSON字符串数组加密处理器
 *
 * @author Woody
 * @date 2024/6/21
 */
public class JacksonArrayEncryptor extends JsonSerializer<String[]> {
    @Override
    public void serialize(String[] value, JsonGenerator generator, SerializerProvider provider) throws IOException {
        generator.writeObject(SecurityContextHolder.getSecurityCipherHandler().encrypt(value));
    }
}
