package com.chelvc.framework.security.jackson;

import java.io.IOException;
import java.util.List;

import com.chelvc.framework.common.util.JacksonUtils;
import com.chelvc.framework.security.context.SecurityContextHolder;
import com.fasterxml.jackson.core.JsonParser;
import com.fasterxml.jackson.databind.DeserializationContext;
import com.fasterxml.jackson.databind.JsonDeserializer;

/**
 * JSON字符串解密处理器
 *
 * @author Woody
 * @date 2024/8/2
 */
public class JacksonListDecrypter extends JsonDeserializer<List<String>> {
    @Override
    public List<String> deserialize(JsonParser parser, DeserializationContext context) throws IOException {
        List<String> value = parser.readValueAs(JacksonUtils.STRING_LIST_TYPE);
        return SecurityContextHolder.getSecurityCipherHandler().decrypt(value);
    }
}
