package com.chelvc.framework.security.jackson;

import java.io.IOException;
import java.util.Set;

import com.chelvc.framework.security.context.SecurityContextHolder;
import com.fasterxml.jackson.core.JsonGenerator;
import com.fasterxml.jackson.databind.JsonSerializer;
import com.fasterxml.jackson.databind.SerializerProvider;

/**
 * JSON字符串集合加密处理器
 *
 * @author Woody
 * @date 2024/6/21
 */
public class JacksonSetEncryptor extends JsonSerializer<Set<String>> {
    @Override
    public void serialize(Set<String> value, JsonGenerator generator, SerializerProvider provider) throws IOException {
        generator.writeObject(SecurityContextHolder.getSecurityCipherHandler().encrypt(value));
    }
}
