package com.chelvc.framework.security.jackson;

import java.io.IOException;

import com.chelvc.framework.security.context.SecurityContextHolder;
import com.fasterxml.jackson.core.JsonParser;
import com.fasterxml.jackson.databind.DeserializationContext;
import com.fasterxml.jackson.databind.JsonDeserializer;

/**
 * JSON字符串解密处理器
 *
 * @author Woody
 * @date 2024/8/2
 */
public class JacksonStringDecrypter extends JsonDeserializer<String> {
    @Override
    public String deserialize(JsonParser parser, DeserializationContext context) throws IOException {
        return SecurityContextHolder.getSecurityCipherHandler().decrypt(parser.getValueAsString());
    }
}
