package com.chelvc.framework.sms;

import java.io.Serializable;
import java.util.Objects;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.ToString;

/**
 * 验证码信息
 *
 * @author Woody
 * @date 2024/1/30
 */
@Getter
@Builder
@ToString
@EqualsAndHashCode
@NoArgsConstructor
@AllArgsConstructor
public class Captcha implements Serializable {
    /**
     * 唯一标识
     */
    private String id;

    /**
     * 验证码
     */
    private String code;

    /**
     * 手机号
     */
    private String mobile;

    /**
     * 检测验证码是否正确
     *
     * @param id     令牌标识
     * @param mobile 手机号
     * @return true/false
     */
    public boolean check(String id, String mobile) {
        return Objects.equals(this.id, id) && Objects.equals(this.mobile, mobile);
    }

    /**
     * 检测验证码是否正确
     *
     * @param id     令牌标识
     * @param mobile 手机号
     * @param code   验证码
     * @return true/false
     */
    public boolean check(String id, String mobile, String code) {
        return Objects.equals(this.id, id) && Objects.equals(this.mobile, mobile) && Objects.equals(this.code, code);
    }
}
