package com.chelvc.framework.sms;

import java.util.Collection;
import java.util.Map;

import com.chelvc.framework.common.model.BiPair;
import com.chelvc.framework.common.model.Pair;

/**
 * 普通短信操作接口
 *
 * @author Woody
 * @date 2024/1/30
 */
public interface NormalSmsHandler {
    /**
     * 发送短信
     *
     * @param content 短信内容
     * @param mobiles 手机号数组
     * @return true/false
     */
    boolean send(String content, String... mobiles);

    /**
     * 发送短信
     *
     * @param pairs 手机号/短息内容/附加信息集合
     * @return 手机号/消息ID映射表
     */
    Map<String, Long> send(Collection<BiPair<String, String, String>> pairs);

    /**
     * 发送短信
     *
     * @param content 短信内容
     * @param pairs   手机号/附加信息集合
     * @return 手机号/消息ID映射表
     */
    Map<String, Long> send(String content, Collection<Pair<String, String>> pairs);
}
