package com.chelvc.framework.sms;

import java.io.Serializable;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.ToString;

/**
 * 短信会话信息
 *
 * @author Woody
 * @date 2024/1/30
 */
@Getter
@Builder
@ToString
@EqualsAndHashCode
@NoArgsConstructor
@AllArgsConstructor
public class SmsSession implements Serializable {
    /**
     * 短信标识
     */
    private String id;

    /**
     * 令牌有效期（秒）
     */
    private Integer expiration;

    /**
     * 当前时间戳
     */
    private final Long timestamp = System.currentTimeMillis();
}
