package com.chelvc.framework.sms;

import java.util.Map;

/**
 * 模版短信操作接口
 *
 * @author Woody
 * @date 2024/1/30
 */
public interface TemplateSmsHandler {
    /**
     * 发送短信验证码
     *
     * @param captcha 验证码
     */
    void send(Captcha captcha);

    /**
     * 发送短信验证码
     *
     * @param template 模版标识
     * @param captcha  验证码
     */
    void send(String template, Captcha captcha);

    /**
     * 发送短信
     *
     * @param mobile     手机号
     * @param template   模板标识
     * @param parameters 模版参数
     */
    void send(String mobile, String template, String... parameters);

    /**
     * 发送短信
     *
     * @param mobile     手机号
     * @param template   模板标识
     * @param parameters 模版参数
     */
    void send(String mobile, String template, Map<String, ?> parameters);
}
