package com.chelvc.framework.upload.config;

import com.chelvc.framework.base.config.HttpClientProperties;
import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * 文件上传配置
 *
 * @author Woody
 * @date 2024/1/30
 */
@Data
@Configuration
@ConfigurationProperties("upload")
public class UploadProperties {
    /**
     * 文件上传渠道枚举
     */
    public enum Channel {
        /**
         * 本地
         */
        LOCAL,

        /**
         * 阿里云
         */
        ALIYUN,

        /**
         * 腾讯云
         */
        TENCENT;
    }

    /**
     * 应用标识
     */
    private String appid;

    /**
     * 应用密钥
     */
    private String secret;

    /**
     * 地区标识
     */
    private String region;

    /**
     * 存储桶/目录
     */
    private String bucket;

    /**
     * 访问域名
     */
    private String domain;

    /**
     * 服务端点
     */
    private String endpoint;

    /**
     * 上传渠道
     */
    private Channel channel;

    /**
     * http链接配置
     */
    private final HttpClientProperties httpclient = new HttpClientProperties();
}
