package com.chelvc.framework.wechat;

import com.fasterxml.jackson.annotation.JsonAlias;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.SuperBuilder;

/**
 * 微信手机号信息
 *
 * @author Woody
 * @date 2024/1/30
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class WechatMobile extends WechatResponse {
    /**
     * 手机号信息
     */
    @JsonAlias("phone_info")
    private Mobile mobile;

    /**
     * 手机号信息
     */
    @Data
    @SuperBuilder
    @NoArgsConstructor
    @AllArgsConstructor
    public static final class Mobile {
        /**
         * 手机号
         */
        @JsonAlias("phoneNumber")
        private String number;

        /**
         * 无区号手机号
         */
        @JsonAlias("purePhoneNumber")
        private String pureNumber;

        /**
         * 区号
         */
        @JsonAlias("countryCode")
        private String country;
    }
}
