package com.chelvc.framework.wechat;

import java.io.Serializable;
import java.util.Date;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 微信支付回调信息
 *
 * @author Woody
 * @date 2024/8/30
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class WechatPaymentCallback implements Serializable {
    /**
     * 订单号
     */
    private String order;

    /**
     * 商户号
     */
    private String merchant;

    /**
     * 三方单号
     */
    private String thirdhand;

    /**
     * 交易单号
     */
    private String transaction;

    /**
     * 支付时间
     */
    private Date datetime;

    /**
     * 回调响应内容
     */
    private String response;
}
