package com.chelvc.framework.wechat;

import java.io.Serializable;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 微信统一下单信息
 *
 * @author Woody
 * @date 2024/1/30
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class WechatUnifiedOrder implements Serializable {
    /**
     * 支付方式
     */
    private PayMode mode;

    /**
     * 应用标识
     */
    private String appid;

    /**
     * 商户标识
     */
    private String mchid;

    /**
     * 订单标识
     */
    private String order;

    /**
     * 数字签名
     */
    private String sign;

    /**
     * 支付package
     */
    private String pack;

    /**
     * 随机串
     */
    private String nonce;

    /**
     * 预支付ID
     */
    private String prepayid;

    /**
     * 签名算法
     */
    private String algorithm;

    /**
     * 二维码地址
     */
    private String qrcode;

    /**
     * 跳转链接
     */
    private String redirect;

    /**
     * 时间戳
     */
    private String timestamp;

    /**
     * 支付渠道
     */
    private PayChannel channel;
}
